Loading...
Searching...
No Matches
gr::endpoint Class Reference
Implementation Details

Class representing a specific input or output graph endpoint. More...

`#include <gnuradio/flowgraph.h>`

## Public Member Functions

| endpoint ()
| endpoint (basic_block_sptr block, int port)
basic_block_sptr | block () const
int | port () const
std::string | identifier () const
bool | operator== (const endpoint &other) const

## Detailed Description

Class representing a specific input or output graph endpoint.

## Constructor & Destructor Documentation

## endpoint() [1/2]

gr::endpoint::endpoint | ( |  | ) |

inline

## endpoint() [2/2]

gr::endpoint::endpoint | ( | basic_block_sptr | block,
|  | int | port )

inline

## Member Function Documentation

## block()

basic_block_sptr gr::endpoint::block | ( |  | ) | const

inline

## identifier()

std::string gr::endpoint::identifier | ( |  | ) | const

inline

Referenced by gr::operator<<().

## operator==()

bool gr::endpoint::operator== | ( | const endpoint & | other | ) | const

inline

## port()

int gr::endpoint::port | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- flowgraph.h